Package org.apache.commons.exec.util

# Class MapUtils

java.lang.Object
org.apache.commons.exec.util.MapUtils

public class MapUtils extends Object
Helper classes to manipulate maps to pass substitution map to the CommandLine. This class is not part of the public API and could change without warning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapUtils()`
  Deprecated.
  Will be private in the next major version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <K, V> Map<K,V>`
  `copy(Map<K,V> source)`
  Clones a map.
  `static <K, V> Map<K,V>`
  `merge(Map<K,V> lhs, Map<K,V> rhs)`
  Clones the lhs map and add all things from the rhs map.
  `static <K, V> Map<String,V>`
  `prefix(Map<K,V> source, String prefix)`
  Clones a map and prefixes the keys in the clone, e.g. for mapping "JAVA_HOME" to "env.JAVA_HOME" to simulate the behavior of Ant.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapUtils

    @Deprecated public MapUtils()
    Deprecated.
    Will be private in the next major version.
    Constructs a new instance.

- ## Method Details

  - ### copy

    public static <K, V> Map<K,V> copy(Map<K,V> source)
    Clones a map.
    Type Parameters:
      `K` - the map key type.
      `V` - the map value type.
    Parameters:
      `source` - the Map to clone.
    Returns:
      the cloned map.

  - ### merge

    public static <K, V> Map<K,V> merge(Map<K,V> lhs, Map<K,V> rhs)
    Clones the lhs map and add all things from the rhs map.
    Type Parameters:
      `K` - the map key type.
      `V` - the map value type.
    Parameters:
      `lhs` - the first map.
      `rhs` - the second map.
    Returns:
      the merged map.

  - ### prefix

    public static <K, V> Map<String,V> prefix(Map<K,V> source, String prefix)
    Clones a map and prefixes the keys in the clone, e.g. for mapping "JAVA_HOME" to "env.JAVA_HOME" to simulate the behavior of Ant.
    Type Parameters:
      `K` - the map key type.
      `V` - the map value type.
    Parameters:
      `source` - the source map.
      `prefix` - the prefix used for all names.
    Returns:
      the clone of the source map.